import { MatDialogRef, MAT_DIALOG_DATA } from "@angular/material";
import { Inject, Component } from "@angular/core";
import { InternationalisationService } from "../../services/internationalisation/internationalisation.service";

@Component({
    selector: "dialog-confirm-close-calc",
    templateUrl: "dialog-confirm-close-calc.component.html",
})
export class DialogConfirmCloseCalcComponent {

    constructor(
        public dialogRef: MatDialogRef<DialogConfirmCloseCalcComponent>,
        private intlService: InternationalisationService,
        @Inject(MAT_DIALOG_DATA) public data: any
    ) { }

    public get uitextYes() {
      return this.intlService.localizeText("INFO_OPTION_YES");
    }

    public get uitextNo() {
      return this.intlService.localizeText("INFO_OPTION_NO");
    }

    public get uitextCloseCalcTitle() {
      return this.intlService.localizeText("INFO_CLOSE_DIALOGUE_TITRE");
    }

    public get uitextCloseCalcBody() {
      return this.intlService.localizeText("INFO_CLOSE_DIALOGUE_TEXT");
    }

}
