export class SelectEntry {
    /**
     * id dans le fichier de config
     */
    private _id: string;

    /**
     * valeur associée à l'entrée
     */
    private _value: any;

    /**
     * texte affiché pour cette entrée
     */
    public label: string;

    constructor(id: string, val: any, lbl?: string) {
        this._id = id;
        this._value = val;
        this.label = lbl; // redéfini par SelectField.updateLocalisation() plus tard
    }

    get id(): string {
        return this._id;
    }

    get value(): any {
        return this._value;
    }

    /**
     * sérialisation en JSON
     */
    public JSONserialise() {
        const res = {};
        res["id"] = this.id;
        res["value"] = this._value;
        return res;
    }
}
